/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.saas.dto.announcement;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.*;
import java.io.Serializable;
import java.util.Date;

/**
* Restful接口--新增资源--数据传输对象：公告表
*
* createdate:  2022-06-24 10:37:08  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "公告表")
public class SaasAnnouncementAddDto implements Serializable
{
  // TODO 请完成新增资源的属性
    @ApiModelProperty("公告标题")
    @Size(max = 100, message="公告标题-title: 数据长度不能 > 100" )
    private String title;

    @ApiModelProperty("公告内容")
    @Size(max = 65535, message="公告内容-content: 数据长度不能 > 65535" )
    private String content;

    @ApiModelProperty("起始时间")
    private Date startTime;

    @ApiModelProperty("结束时间")
    private Date endTime;

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }
}